var Cmp08400_Modelo_Emissao_Af_Controller = function(MessageService, General, Parametros, restEngine, templateManager) {
	this.onEnterOnceStripe = function(widget) {
		General.callRestEngine('cmp#/crud/enderautoforne','FilterData',[]).then(function(response){
			if (response.dataset.enderautoforne.length === 0 ){
				widget.applyDefaultValue();
				widget.currentRow.__is_new = true;
				widget.currentRow.NRENDERAUTOFORNE = 1;
				widget.saveRow();
			}else{
				widget.currentRow = response.dataset.enderautoforne.shift();
			}
		});
	};
    	
	this.edit = function (widget) {
		General.edit(widget);
		
	};	
	
	this.cancel = function(widget) {
        General.widgetCancelForm(widget);
    };
    
    this.confirmarEditModEmisAf = function (widget){
		if(!widget.currentRow.changed) {
			widget.list();
			return;
		}
		widget.currentRow.__is_new = false;
    	widget.saveRow().then(function(res){
    	    widget.list();
    	    MessageService.successNotificationByCode('cmp#SALVO_SUCESSO');
        }, function(error) {
        	MessageService.showMessageByCode(error.data ? 'cmp#' + error.data.error : 'cmp#TIMEOUT', null, { type: 'ERROR' });
        });
    };
};

Configuration(function(ContextRegister) {
	ContextRegister.register('Cmp08400_Modelo_Emissao_Af_Controller', Cmp08400_Modelo_Emissao_Af_Controller);
});